phpCAS version 1.3.6

Public Member Functions | Public Attributes | Private Member Functions | Private Attributes | List of all members
CAS_Client Class Reference

## Public Member Functions
| printHTMLHeader ($title)
| printHTMLFooter ()
| setHTMLHeader ($header)
| setHTMLFooter ($footer)
| setLang ($lang)
| getLangObj ()
| getServerVersion ()
| getServerLoginURL ($gateway=false, $renew=false)
| setServerLoginURL ($url)
| setServerServiceValidateURL ($url)
| setServerProxyValidateURL ($url)
| setServerSamlValidateURL ($url)
| getServerServiceValidateURL ()
| getServerSamlValidateURL ()
| getServerProxyValidateURL ()
| getServerProxyURL ()
| getServerLogoutURL ()
| setServerLogoutURL ($url)
| setExtraCurlOption ($key, $value)
| setRequestImplementation ($className)
| setNoClearTicketsFromUrl ()
| setCasAttributeParserCallback ($function, array $additionalArgs=array())
| setPostAuthenticateCallback ($function, array $additionalArgs=array())
| setSingleSignoutCallback ($function, array $additionalArgs=array())
| ensureIsProxy ()
| markAuthenticationCall ($auth)
| wasAuthenticationCalled ()
| wasAuthenticationCallSuccessful ()
| ensureAuthenticationCallSuccessful ()
| getAuthenticationCallerFile ()
| getAuthenticationCallerLine ()
| getAuthenticationCallerMethod ()
| __construct ( $server_version, $proxy, $server_hostname, $server_port, $server_uri, $changeSessionID=true)
| getChangeSessionID ()
| getUser ()
| setAttributes ($attributes)
| getAttributes ()
| hasAttributes ()
| hasAttribute ($key)
| getAttribute ($key)
| renewAuthentication ()
| forceAuthentication ()
| setCacheTimesForAuthRecheck ($n)
| checkAuthentication ()
| isAuthenticated ($renew=false)
| isSessionAuthenticated ()
| redirectToCas ($gateway=false, $renew=false)
| logout ($params)
| handleLogoutRequests ($check_client=true, $allowed_clients=false)
| getTicket ()
| setTicket ($st)
| hasTicket ()
| setCasServerCACert ($cert, $validate_cn)
| setNoCasServerValidation ()
| validateCAS10 (&$validate_url, &$text_response, &$tree_response, $renew=false)
| validateSA (&$validate_url, &$text_response, &$tree_response, $renew=false)
| isProxy ()
| setCallbackURL ($url)
| setPGTStorage ($storage)
| setPGTStorageDb ( $dsn_or_pdo, $username='', $password='', $table='', $driver_options=null)
| setPGTStorageFile ($path='')
| retrievePT ($target_service, &$err_code, &$err_msg)
| getProxiedService ($type)
| initializeProxiedService (CAS_ProxiedService $proxiedService)
| serviceWeb ($url, &$err_code, &$output)
| serviceMail ($url, $serviceUrl, $flags, &$err_code, &$err_msg, &$pt)
| getProxies ()
| getAllowedProxyChains ()
| validateCAS20 (&$validate_url, &$text_response, &$tree_response, $renew=false)
| setURL ($url)
| getURL ()
| setBaseURL ($url)
| setSessionIdSalt ($salt)
| addRebroadcastNode ($rebroadcastNodeUrl)
| addRebroadcastHeader ($header)

## Public Attributes
const | HOSTNAME = 0
const | IP = 1
const | LOGOUT = 0
const | PGTIOU = 1

## Private Member Functions
| _htmlFilterOutput ($str)
| _getServerHostname ()
| _getServerPort ()
| _getServerURI ()
| _getServerBaseURL ()
| _ensureAuthenticationCalled ()
| _setChangeSessionID ($allowed)
| _setUser ($user)
| _getUser ()
| _hasAttribute ($key)
| _wasPreviouslyAuthenticated ()
| _isLogoutRequest ()
| _setSessionAttributes ($text_response)
| _getPGT ()
| _setPGT ($pgt)
| _hasPGT ()
| _setCallbackMode ($callback_mode)
| _isCallbackMode ()
| _getCallbackURL ()
| _callback ()
| _initPGTStorage ()
| _storePGT ($pgt, $pgt_iou)
| _loadPGT ($pgt_iou)
| _validatePGT (&$validate_url, $text_response, $tree_response)
| _readURL ($url, &$headers, &$body, &$err_msg)
| _buildSAMLPayload ()
| _setProxies ($proxies)
| _readExtraAttributesCas20 ($success_elements)
| _addAttributeToArray (array &$attributeArray, $name, $value)
| _getClientUrl ()
| _isHttps ()
| _removeParameterFromQueryString ($parameterName, $queryString)
| _buildQueryUrl ($url, $query)
| _renameSession ($ticket)
| _sessionIdForTicket ($ticket)
| _authError ( $failure, $cas_url, $no_response, $bad_response='', $cas_response='', $err_code='', $err_msg='')
| _getNodeType ($nodeURL)
| _rebroadcast ($type)

## Private Attributes
| $_output_header
| $_output_footer
| $_lang = PHPCAS_LANG_DEFAULT
| $_server
| $_curl_options = array()
| $_requestImplementation = 'CAS_Request_CurlRequest'
| $_clearTicketsFromUrl = true
| $_casAttributeParserCallbackFunction = null
| $_casAttributeParserCallbackArgs = array()
| $_postAuthenticateCallbackFunction = null
| $_postAuthenticateCallbackArgs = array()
| $_signoutCallbackFunction = null
| $_signoutCallbackArgs = array()
| $_authentication_caller
| $_change_session_id
| $_user
| $_attributes
| $_cache_times_for_auth_recheck
| $_ticket
| $_cas_server_ca_cert
| $_cas_server_cn_validate
| $_no_cas_server_validation
| $_proxy
| $_serviceCookieJar
| $_pgt
| $_callback_mode
| $_callback_url
| $_pgt_storage
| $_proxies = array()
| $_allowed_proxy_chains
| $_url
| $_sessionIdSalt = ''
| $_rebroadcast = false
| $_rebroadcast_nodes = array()
| $_rebroadcast_headers = array()

## Detailed Description

The CAS_Client class is a client interface that provides CAS authentication to PHP applications.

Definition at line 51 of file Client.php.